
Redmine - Defect #2347

Only first 10 revisions shown on Activity page

2008-12-16 09:47 - Jan M.

Status: Closed Start date: 2008-12-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

See http://www.redmine.org/boards/2/topics/show/3263, especially this comment:

/projects/activity/<project>?from=2009-1-11 should show commits from 12/12/2008 to 01/10/2009.

This works perfectly fine, e.g. I see all commits from 12/12 until now.

If I change the link to 2009-1-1 (/projects/activity/<project>?from=2009-1-1), it should show commits from 2008-12-03 to 2009-01-01

This does not work, it only shows the first 10 commits after 2008-12-03, newer commits are not shown..

I use Sqlite, Redmine 0.8.0 rc1 and SVN integration

Related issues:

Related to Redmine - Defect #2397: Not all activities are shown on activity page Closed 2008-12-25

History

#1 - 2008-12-16 17:32 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

This is fixed by r2114.

#2 - 2008-12-16 18:47 - Jan M.

Sorry but I think it's not fixed yet. I backported that fix manually yesterday because it looked similar, and in the forum somebody reports the issue with

revision 2136 (http://www.redmine.org/boards/2/topics/show/3263)

I can confirm a webserver restart fixes it. Otherwise it always only shows the first 10 changesets between from and to dates (so I can see recent

commits by choosing yesterday until next month)

#3 - 2008-12-16 19:44 - Jean-Philippe Lang

That's strange. Everything is fine here on redmine.org after r2114.

Can you run redmine in development mode and post the log that is generated when you display the activity view with missing commits (with r2114 fix

applied)?

#4 - 2009-01-03 13:54 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Fix is applied in 0.8.0 final.
